curl --request POST \
--url https://bgv.konnectnxt.com/api/v2/verification/passport/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"passport_file_number": "HY1061281423925",
"date_of_birth": "2000-01-01"
}
'{
"status": "success",
"code": 200,
"message": "Operation completed successfully",
"data": {
"status": "SUCCESS",
"nameOnPassport": "RAJESH KUMAR SHARMA",
"customerLastName": "SHARMA",
"passportNumber": "AJ596544",
"dateOfBirth": "02-07-2002",
"passportAppliedDate": "13-10-2025",
"message": "Passport AJ596544 has been dispatched and will be sent to the applicant"
},
"credits_used": 10,
"credits_left": 4040
}Passport
Passport v2
Verify Indian passport details using passport file number and date of birth
POST
/
v2
/
verification
/
passport
/
curl --request POST \
--url https://bgv.konnectnxt.com/api/v2/verification/passport/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"passport_file_number": "HY1061281423925",
"date_of_birth": "2000-01-01"
}
'{
"status": "success",
"code": 200,
"message": "Operation completed successfully",
"data": {
"status": "SUCCESS",
"nameOnPassport": "RAJESH KUMAR SHARMA",
"customerLastName": "SHARMA",
"passportNumber": "AJ596544",
"dateOfBirth": "02-07-2002",
"passportAppliedDate": "13-10-2025",
"message": "Passport AJ596544 has been dispatched and will be sent to the applicant"
},
"credits_used": 10,
"credits_left": 4040
}Verifies an Indian passport by validating the passport file number and date of birth against government records via the IDFY provider. Returns passport holder details, application status, and credit usage for the request.
Authorizations
Body
application/json
Response
Passport verification successful - Passport found and verified
Was this page helpful?

